Name:           libeweather
Version:        0.2.0
Release:        2%{?dist}
Summary:        E weather library

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl/eweather
Source0:        http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  efl-devel pkgconfig

%description
Eweather is a weather library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/eweather
%{_libdir}/*.so.*
%{_datadir}/default/images/*
%{_datadir}/simple/images/*
%{_datadir}/eweather

%files devel
%defattr(-,root,root,-)
%{_bindir}/eweather_test
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/eweather.pc


%changelog
* Thu Nov 04 2010 Vasile Chelban <vchelban@fedoramd.org> 0.2.0-2
- new paths for svn release

* Mon Jan 25 2010 Chelban Vasile <vchelban@fedoramd.org> 0.2.0-1
- Initial specfile for libeweather
